<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myWeightLabel">Create or edit a Weight</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!weight.id">
            <label for="id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="weight.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_timestamp">Timestamp</label>
            <div class="d-flex">
                <input id="field_timestamp" type="datetime-local" class="form-control" name="timestamp" [(ngModel)]="weight.timestamp"
                required  />
            </div>
            <div [hidden]="!(editForm.controls.timestamp?.dirty && editForm.controls.timestamp?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.timestamp?.errors?.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.timestamp?.errors?.ZonedDateTimelocal">
                    This field should be a date and time.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_weight">Weight</label>
            <input type="number" class="form-control" name="weight" id="field_weight"
                [(ngModel)]="weight.weight" required />
            <div [hidden]="!(editForm.controls.weight?.dirty && editForm.controls.weight?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.weight?.errors?.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.weight?.errors?.number">
                    This field should be a number.
                </small>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" for="field_user">User</label>
            <select class="form-control" id="field_user" name="user" [(ngModel)]="weight.user" >
                <option [ngValue]="null"></option>
                <option [ngValue]="userOption.id === weight.user?.id ? weight.user : userOption" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.login}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
